## praat 6.1.38

=== Makefile ===
# File: Makefile

# Makefile for Praat.
# Paul Boersma, 24 May 2020
# David Weenink, 22 Decmber 2020

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all: all-external all-self
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		artsynth/libartsynth.a FFNet/libFFNet.a \
		gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a \
		fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
		sys/libsys.a melder/libmelder.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/mp3/libmp3.a \
		external/glpk/libglpk.a \
		external/clapack/libclapack.a \
		external/gsl/libgsl.a \
		external/vorbis/libvorbis.a \
		$(LIBS)
		#external/opusfile/libopusfile.a \

all-external:
	$(MAKE) -C external/clapack
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/mp3
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C external/vorbis
	$(MAKE) -C external/opusfile

all-self:
	$(MAKE) -C kar
	$(MAKE) -C melder
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C main main_Praat.o $(ICON)

clean: clean-external clean-self
	$(RM) praat

clean-external:
	$(MAKE) -C external/clapack clean
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C external/vorbis clean
	$(MAKE) -C external/opusfile clean

clean-self:
	$(MAKE) -C kar clean
	$(MAKE) -C melder clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C main clean

install:
	$(INSTALL)

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 2 June 2020

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile

OBJECTS = ActivationList.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	espeakdata_FileInMemory.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o IntervalTierNavigator.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_and_NMF.o Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	NavigationContext.o \
	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial_to_Spectrum.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o Roots_to_Spectrum.o \
	Sound_and_MixingMatrix.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_and_Strings.o Table_extensions.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	TextGridNavigator.o TextGridView.o VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 31 August 2020

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
   FunctionArea.o FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierArea.o RealTierEditor.o PitchTierArea.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierArea.o DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o RunnerMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o MovieWindow.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
   OTMulti_ex_metrics.o Layer.o Net.o \
   NoulliGrid.o NoulliGridEditor.o

.PHONY: all clean

all: libgram.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libgram.a

libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	$(AR) cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== kar/Makefile ===
# Makefile of the library "kar"
# Paul Boersma, 10 August 2018

include ../makefile.defs

OBJECTS = ipaSerifRegularPS.o longchar.o

CPPFLAGS = -I ../melder

.PHONY: all clean

all: libkar.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libkar.a

libkar.a: $(OBJECTS)
	touch libkar.a
	rm libkar.a
	$(AR) cq libkar.a $(OBJECTS)
	$(RANLIB) libkar.a

$(OBJECTS): *.h ../melder/*.h

=== main/Makefile ===
# Makefile of the 'main' routines.
# Paul Boersma, 10 August 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../fon

.PHONY: clean

main_*.o: ../sys/praat.h ../sys/praat_version.h ../sys/Graphics.h

clean:
	$(RM) main_*.o
	$(RM) praat_win.o

# The following is only for Windows.

praat_win.o: praat_win.rc
	$(WINDRES) -o praat_win.o praat_win.rc

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 14 March 2020

include ../makefile.defs

CPPFLAGS = -I ../melder

OBJECTS = melder.o complex.o melder_alloc.o melder_colour.o \
	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
	melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
	melder_search.o \
	melder_info.o melder_error.o melder_warning.o melder_fatal.o melder_progress.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): ../kar/*.h ../sys/*.h ../dwsys/*.h

=== stat/Makefile ===
# Makefile of the library "stat"
# Paul Boersma, 10 August 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat

OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o \
   praat_TableOfReal.o praat_Stat.o \
   TableOfReal.o Distributions.o Distributions_and_Strings.o PairDistribution.o \
   LogisticRegression.o

.PHONY: all clean

all: libstat.a

libstat.a: $(OBJECTS)
	touch libstat.a
	rm libstat.a
	$(AR) cq libstat.a $(OBJECTS)
	$(RANLIB) libstat.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libstat.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../dwtools/*.h ../fon/*.h ../stat/*.h

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma, 4 October 2020

include ../makefile.defs

# -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
CPPFLAGS = -I ../melder -I ../sys

OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o Script.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendpraat.o sendsocket.o \
   praat_script.o praat_statistics.o praat_logo.o praat_library.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiList.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \
   GuiControl.o GuiForm.o GuiOptionMenu.o GuiProgressBar.o GuiShell.o GuiThing.o Gui_messages.o

.PHONY: all clean

all: libsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsys.a

libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	$(AR) cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwsys/*.h

=== external/opusfile/Makefile ===
# Makefile of the library "external/opus"
# David Weenink, 29 December 2020

include ../../makefile.defs

CPPFLAGS = -I ../../melder -I ../vorbis -I opus -I opus/celt -I opus/silk -I opus/silk/float

OPUSFILE_OBJECTS = opusfile.o opusfile_info.o opusfile_internal.o opusfile_stream.o

OPUS_OBJECTS = opus/analysis.o opus/mlp.o opus/opus.o opus/opus_decoder.o opus/opus_multistream.o \
opus/mapping_matrix.o opus/mlp_data.o opus/opus_compare.o opus/opus_multistream_decoder.o \
opus/opus_projection_decoder.o opus/repacketizer.o

CELT = opus/celt/

CELT_OBJECTS = $(CELT)bands.o $(CELT)celt.o $(CELT)celt_encoder.o $(CELT)celt_decoder.o \
$(CELT)cwrs.o $(CELT)entcode.o $(CELT)entdec.o $(CELT)entenc.o $(CELT)kiss_fft.o \
$(CELT)laplace.o $(CELT)mathops.o $(CELT)mdct.o $(CELT)modes.o $(CELT)pitch.o \
$(CELT)celt_lpc.o $(CELT)quant_bands.o $(CELT)rate.o $(CELT)vq.o

SILK = opus/silk/

SILK_OBJECTS = $(SILK)CNG.o $(SILK)code_signs.o $(SILK)init_decoder.o $(SILK)decode_core.o $(SILK)decode_frame.o \
$(SILK)decode_parameters.o $(SILK)decode_indices.o $(SILK)decode_pulses.o $(SILK)decoder_set_fs.o $(SILK)dec_API.o \
$(SILK)enc_API.o $(SILK)encode_indices.o $(SILK)encode_pulses.o $(SILK)gain_quant.o $(SILK)interpolate.o \
$(SILK)LP_variable_cutoff.o $(SILK)NLSF_decode.o $(SILK)NSQ.o $(SILK)NSQ_del_dec.o $(SILK)PLC.o \
$(SILK)shell_coder.o $(SILK)tables_gain.o $(SILK)tables_LTP.o $(SILK)tables_NLSF_CB_NB_MB.o $(SILK)tables_NLSF_CB_WB.o \
$(SILK)tables_other.o $(SILK)tables_pitch_lag.o $(SILK)tables_pulses_per_block.o \
$(SILK)VAD.o $(SILK)control_audio_bandwidth.o $(SILK)quant_LTP_gains.o $(SILK)VQ_WMat_EC.o \
$(SILK)HP_variable_cutoff.o $(SILK)NLSF_encode.o $(SILK)NLSF_VQ.o $(SILK)NLSF_unpack.o $(SILK)NLSF_del_dec_quant.o \
$(SILK)process_NLSFs.o $(SILK)stereo_LR_to_MS.o $(SILK)stereo_MS_to_LR.o $(SILK)check_control_input.o \
$(SILK)control_SNR.o $(SILK)init_encoder.o $(SILK)control_codec.o $(SILK)A2NLSF.o $(SILK)ana_filt_bank_1.o \
$(SILK)biquad_alt.o $(SILK)bwexpander_32.o $(SILK)bwexpander.o $(SILK)debug.o $(SILK)decode_pitch.o \
$(SILK)inner_prod_aligned.o $(SILK)lin2log.o $(SILK)log2lin.o $(SILK)LPC_analysis_filter.o $(SILK)LPC_inv_pred_gain.o \
$(SILK)table_LSF_cos.o $(SILK)NLSF2A.o $(SILK)NLSF_stabilize.o $(SILK)NLSF_VQ_weights_laroia.o $(SILK)pitch_est_tables.o \
$(SILK)resampler.o $(SILK)resampler_down2_3.o $(SILK)resampler_down2.o $(SILK)resampler_private_AR2.o \
$(SILK)resampler_private_down_FIR.o $(SILK)resampler_private_IIR_FIR.o $(SILK)resampler_private_up2_HQ.o \
$(SILK)resampler_rom.o $(SILK)sigm_Q15.o $(SILK)sort.o $(SILK)sum_sqr_shift.o $(SILK)stereo_decode_pred.o \
$(SILK)stereo_encode_pred.o $(SILK)stereo_find_predictor.o $(SILK)stereo_quant_pred.o $(SILK)LPC_fit.o

SILKFLOAT = opus/silk/float/

SILKFLOAT_OBJECTS = $(SILKFLOAT)apply_sine_window_FLP.o $(SILKFLOAT)autocorrelation_FLP.o \
$(SILKFLOAT)burg_modified_FLP.o $(SILKFLOAT)bwexpander_FLP.o $(SILKFLOAT)corrMatrix_FLP.o \
$(SILKFLOAT)encode_frame_FLP.o $(SILKFLOAT)energy_FLP.o $(SILKFLOAT)find_LPC_FLP.o $(SILKFLOAT)find_LTP_FLP.o \
$(SILKFLOAT)find_pitch_lags_FLP.o $(SILKFLOAT)find_pred_coefs_FLP.o $(SILKFLOAT)inner_product_FLP.o $(SILKFLOAT)k2a_FLP.o \
$(SILKFLOAT)LPC_analysis_filter_FLP.o $(SILKFLOAT)LPC_inv_pred_gain_FLP.o $(SILKFLOAT)LTP_analysis_filter_FLP.o \
$(SILKFLOAT)LTP_scale_ctrl_FLP.o $(SILKFLOAT)noise_shape_analysis_FLP.o $(SILKFLOAT)pitch_analysis_core_FLP.o \
$(SILKFLOAT)process_gains_FLP.o $(SILKFLOAT)regularize_correlations_FLP.o $(SILKFLOAT)residual_energy_FLP.o \
$(SILKFLOAT)scale_copy_vector_FLP.o $(SILKFLOAT)scale_vector_FLP.o $(SILKFLOAT)schur_FLP.o $(SILKFLOAT)sort_FLP.o \
$(SILKFLOAT)warped_autocorrelation_FLP.o $(SILKFLOAT)wrappers_FLP.o


OBJECTS = $(OPUSFILE_OBJECTS) \
	$(OPUS_OBJECTS) \
	$(CELT_OBJECTS) \
	$(SILK_OBJECTS) \
	$(SILKFLOAT_OBJECTS)

.PHONY: all clean

all: libopusfile.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libopusfile.a

libopusfile.a: $(OBJECTS)
	touch libopusfile.a
	rm libopusfile.a
	$(AR) cq libopusfile.a $(OBJECTS)
	$(RANLIB) libopusfile.a

$(OBJECTS): *.h ../../melder/*.h

=== external/portaudio/Makefile ===
# Makefile of the library "external/portaudio"
# Paul Boersma, 19 November 2020

include ../../makefile.defs

OBJECTS = \
	pa_unix_hostapis.o pa_unix_util.o pa_linux_alsa.o pa_jack.o pa_ringbuffer.o \
	pa_win_hostapis.o pa_win_util.o pa_win_wmme.o pa_win_waveformat.o \
	pa_front.o pa_debugprint.o pa_cpuload.o \
	pa_allocation.o pa_process.o pa_converters.o pa_dither.o \
	pa_stream.o

.PHONY: all clean

all: libportaudio.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libportaudio.a

libportaudio.a: $(OBJECTS)
	touch libportaudio.a
	rm libportaudio.a
	ar cq libportaudio.a $(OBJECTS)
	$(RANLIB) libportaudio.a

$(OBJECTS): *.h

=== debian/changelog ===
praat (6.1.38-1) unstable; urgency=medium

  * New upstream version 6.1.38
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 Jan 2021 10:39:11 -0300

praat (6.1.37-1) unstable; urgency=medium

  * New upstream version 6.1.37

 -- Rafael Laboissière <rafael@debian.org>  Mon, 21 Dec 2020 07:03:19 -0300

praat (6.1.36-1) unstable; urgency=medium

  * New upstream version 6.1.36
  * Use pandoc instead of xmlto for building the man pages

 -- Rafael Laboissière <rafael@debian.org>  Tue, 08 Dec 2020 06:59:57 -0300

praat (6.1.34-1) unstable; urgency=medium

  * New upstream version 6.1.34
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * Use SVG icon from upstream tarball
    + d/praat.svg: Remove file
    + d/install.in: Install file main/praat.svg

 -- Rafael Laboissière <rafael@debian.org>  Thu, 26 Nov 2020 06:24:52 -0300

praat (6.1.33-1) unstable; urgency=medium

  * New upstream version 6.1.33
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * Use upstream desktop file
    + d/praat.desktop: Remove file
    + d/install.in: Adjust for new upstream file
    + d/s/lintian-overrides: Drop override maintainer-desktop-entry
  * d/clean: Delete file test/sys/kanweg.eps
  * d/rules: Use execute_before_ instead of override_dh_auto_clean
  * d/praat.{svg,xpm}: Add new upstream icons

 -- Rafael Laboissière <rafael@debian.org>  Sun, 22 Nov 2020 10:07:56 -0300

praat (6.1.31-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 6.1.31
    This version is built against GTK3 (Closes: #967708)
  * d/p/build-against-gtk3.patch: Drop patch (applied upstream)
  * d/p/fix-compilation-errors-praat-cpp.patch: Drop patch (applied upstream)
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Nov 2020 06:16:09 -0300

praat (6.1.30-1+gtk3) experimental; urgency=medium

  * Release to experimental

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 08:47:39 -0300

praat (6.1.30-1) unstable; urgency=medium

  * New upstream version 6.1.30
  * d/rules: Explicitly link against libX11 when building sendpraat
  * d/p/fix-compilation-errors-praat-cpp.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Nov 2020 17:01:31 -0300

praat (6.1.29-1+gtk3) experimental; urgency=medium

  * Built against Gtk3 (Closes: #967708)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Nov 2020 19:56:34 -0300

praat (6.1.29-1) unstable; urgency=medium

  * New upstream version 6.1.29

 -- Rafael Laboissière <rafael@debian.org>  Sun, 01 Nov 2020 14:32:41 -0300

praat (6.1.28-1) unstable; urgency=medium

  * New upstream version 6.1.28

 -- Rafael Laboissière <rafael@debian.org>  Fri, 23 Oct 2020 18:45:32 -0300

praat (6.1.27-1) unstable; urgency=medium

  * New upstream version 6.1.27

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Oct 2020 04:28:36 -0300

praat (6.1.26-1) unstable; urgency=medium

  * New upstream version 6.1.26

 -- Rafael Laboissière <rafael@debian.org>  Wed, 07 Oct 2020 11:01:03 -0300

praat (6.1.24-1) unstable; urgency=medium

  * New upstream version 6.1.24
  * d/p/remove-time-date-macros.patch: Drop patch (fixed upstream)
  * d/p/fix-ftbfs-gcc-10.patch: Drop patch (not needed anymore)
  * d/p/fix-procrustes-unit-test.patch: Drop patch (not needed anymore)
  * d/p/use-ldflags.patch: Set "Forwarded: not-needed"
  * d/p/cross-build.patch: Set "Forwarded: not-needed"
  * d/clean: Delete extra test/sys/kanweg.* files
  * d/s/lintian-overrides:
    + Drop obsolete override mailing-list-obsolete-in-debian-infrastructure
    + Add override for maintainer-desktop-entry
    + Add override for package-does-not-install-examples

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Oct 2020 04:13:42 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libasound2-dev,
               libgtk-3-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               xauth,
               xvfb,
               pandoc
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: https://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         python3
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean

execute_before_dh_auto_clean:
	touch makefile.defs

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	cp makefiles/makefile.defs.linux.pulse makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.md
	# Generate the man page from the Markdown source
	pandoc --standalone --to man $< -o $@

sendpraat: sys/sendpraat.c
	# Build the sendpraat program
	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
		$(shell dpkg-buildflags --get CFLAGS)		\
		$(shell dpkg-buildflags --get LDFLAGS)		\
		-std=gnu99 -DSTAND_ALONE -DUNIX			\
		-o sendpraat sys/sendpraat.c -lX11		\
		$(shell $(PKG_CONFIG) --cflags --libs gtk+-3.0)

override_dh_auto_build: sendpraat praat.1 praat_nogui.1 sendpraat.1 praat-open-files.1
	dh_auto_build
	cp makefiles/makefile.defs.linux.nogui makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		fon/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Install the upstream changelog
	dh_installchangelogs debian/What_s_new_.html
	dh_auto_install -- INSTALL=

ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PRAAT=$(CURDIR)/praat debian/tests/run-tests
endif
endif

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?([\.\d]+)\.tar\.gz/praat-$1.tar.gz/"	\
    https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## praat 6.2.09

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # File: Makefile
 
-# Makefile for Praat.
+# Makefile for Praat (with sources from espeak-work/espeak-ng-work)
 # Paul Boersma, 24 May 2020
-# David Weenink, 22 Decmber 2020
+# David Weenink, 14 December 2021
 
 # System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
 # makefile.defs, which has to be copied and renamed
@@ -27,8 +27,8 @@
 		external/clapack/libclapack.a \
 		external/gsl/libgsl.a \
 		external/vorbis/libvorbis.a \
+		external/opusfile/libopusfile.a \
 		$(LIBS)
-		#external/opusfile/libopusfile.a \
 
 all-external:
 	$(MAKE) -C external/clapack

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma
# 20201112
#  -save-temps=cwd
include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../dwtools -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	FormantModeler.o FormantModelerList.o \
	FormantPath.o FormantPath_to_IntervalTier.o FormantPathEditor.o \
	LineSpectralFrequencies.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o PowerCepstrum.o PowerCepstrogram.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 2020319
# Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar

all: libdwsys.a

OBJECTS = ChebyshevSeries.o Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o \
	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o \
	FunctionSeries.o \
	Graphics_extensions.o Index.o \
	LegendreSeries.o \
	MAT_numerics.o \
	NMF.o NUM2.o NUMhuber.o NUMmachar.o \
	NUMcomplex.o NUMfft_d.o NUMsort2.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	Polynomial.o \
	Roots.o \
	Spline.o SVD.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../fon/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 27 January 2022

include ../makefile.defs

CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile

OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o ConstantQSpectrograms.o \
	DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	espeakdata_FileInMemory.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridAreas.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_and_NMF.o Matrix_extensions.o \
	Matrix_Categories.o MDS.o MultiSampledSpectrogram.o \
	NavigationContext.o \
	OptimalCeilingTier.o OptimalCeilingTierArea.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial_to_Spectrum.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o Roots_to_Spectrum.o \
	Sound_and_MultiSampledSpectrogram.o Sound_and_MixingMatrix.o \
	Sound_and_Spectrum_dft.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o \
	Sound_and_TextGrid_extensions.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o Spectrum_and_MultiSampledSpectrogram.o \
	SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_and_Strings.o Table_extensions.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	TextGridTierNavigator.o TextGridNavigator.o TextGridView.o VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_MultiSampledSpectrogram.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== fon/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "fon"
-# Paul Boersma, 31 August 2020
+# Paul Boersma, 9 June 2021
 
 include ../makefile.defs
 
@@ -22,10 +22,12 @@
    Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
    VocalTract.o VocalTract_to_Spectrum.o \
    SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
-   FunctionArea.o FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
+   FunctionArea.o \
+   RealTierArea.o PitchTierArea.o IntensityTierArea.o DurationTierArea.o AmplitudeTierArea.o \
+   FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
    PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
-   RealTierArea.o RealTierEditor.o PitchTierArea.o PitchTierEditor.o IntensityTierEditor.o \
-   DurationTierArea.o DurationTierEditor.o AmplitudeTierEditor.o \
+   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
+   DurationTierEditor.o AmplitudeTierEditor.o \
    ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
    WordList.o SpellingChecker.o \
    FujisakiPitch.o \

=== melder/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "melder"
-# Paul Boersma, 14 March 2020
+# Paul Boersma, 2 December 2021
 
 include ../makefile.defs
 
@@ -9,7 +9,7 @@
 	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
 	melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
 	melder_search.o \
-	melder_info.o melder_error.o melder_warning.o melder_fatal.o melder_progress.o \
+	melder_info.o melder_error.o melder_warning.o melder_progress.o \
 	melder_play.o melder_help.o melder_time.o \
 	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
 	abcio.o melder_sysenv.o regularExp.o \
@@ -31,4 +31,4 @@
 	$(AR) cq libmelder.a $(OBJECTS)
 	$(RANLIB) libmelder.a
 
-$(OBJECTS): ../kar/*.h ../sys/*.h ../dwsys/*.h
+$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h

=== sys/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include ../makefile.defs
 
 # -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
-CPPFLAGS = -I ../melder -I ../sys
+CPPFLAGS = -I ../melder -I ../sys -I ../dwsys
 
 OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
    Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \

=== external/espeak/Makefile ===
# makefile for libespeak
# djmw 20211210

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../melder -I ../../dwtools -I ../../sys -I ../../dwsys -I ../../stat

OBJECTS = case.o categories.o compiledata.o compiledict.o \
	dictionary.o \
	encoding.o error.o  espeak_api.o \
	intonation.o klatt.o  \
	numbers.o phonemelist.o proplist.o readclause.o \
	setlengths.o soundicon.o speech.o \
	ssml.o synthdata.o synthesize.o \
	synth_mbrola.o tr_languages.o mnemonics.o translate.o voices.o wavegen.o \
	create_espeak_ng_FileInMemoryManager.o create_espeak_ng_FileInMemorySet.o \
	espeak_io.o

.PHONY: all clean

all: libespeak.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libespeak.a

libespeak.a: $(OBJECTS)
	touch libespeak.a
	rm libespeak.a
	$(AR) cq libespeak.a $(OBJECTS)
	$(RANLIB) libespeak.a

$(OBJECTS):  *.h ../../kar/*.h ../../melder/*.h ../../sys/*.h ../../dwsys/*.h ../../stat/*.h

=== external/opusfile/Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 OPUSFILE_OBJECTS = opusfile.o opusfile_info.o opusfile_internal.o opusfile_stream.o
 
 OPUS_OBJECTS = opus/analysis.o opus/mlp.o opus/opus.o opus/opus_decoder.o opus/opus_multistream.o \
-opus/mapping_matrix.o opus/mlp_data.o opus/opus_compare.o opus/opus_multistream_decoder.o \
+opus/mapping_matrix.o opus/mlp_data.o opus/opus_multistream_decoder.o \
 opus/opus_projection_decoder.o opus/repacketizer.o
+
 
 CELT = opus/celt/

=== debian/changelog ===
praat (6.2.09-1) unstable; urgency=medium

  * New upstream version 6.2.09

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Feb 2022 05:10:50 -0300

praat (6.2.07-1) unstable; urgency=medium

  * New upstream version 6.2.07

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Feb 2022 03:58:52 -0300

praat (6.2.06-1) unstable; urgency=medium

  * New upstream version 6.2.06

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jan 2022 06:33:46 -0300

praat (6.2.05-1) unstable; urgency=medium

  * New upstream version 6.2.05
  * d/p/cross-build.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Jan 2022 05:04:28 -0300

praat (6.2.04-1) unstable; urgency=medium

  * New upstream version 6.2.04
  * d/p/test-pca-error-msg.patch: Drop patch (applied upstream)
  * d/p/honor-cppflags.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Dec 2021 12:33:14 -0300

praat (6.2.03-1) unstable; urgency=medium

  * New upstream version 6.2.03
  * d/watch: Drop filenamemangle from options
  * d/p/test-pca-error-msg.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 Dec 2021 12:41:42 -0300

praat (6.2.01-1) unstable; urgency=medium

  * New upstream version 6.2.01
  * d/p/cross-build.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Nov 2021 04:13:52 -0300

praat (6.1.56-2) unstable; urgency=medium

  * d/control: Suggests libasound2-plugins.
    Installing the libasound2-plugins package allows Praat to record sound
    files from the microphone when a sound card is not present in the
    system but a PulseAudio domain socket is available. (Closes: #998754)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Nov 2021 04:47:34 -0300

praat (6.1.56-1) unstable; urgency=medium

  * New upstream version 6.1.56
  * d/p/honor-cppflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 04 Nov 2021 11:22:58 -0300

praat (6.1.55-1) unstable; urgency=medium

  * New upstream version 6.1.55

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Oct 2021 00:27:28 -0300

praat (6.1.54-1) unstable; urgency=medium

  * New upstream version 6.1.54
  * Fix dependencies on Python 3
    + d/control: Depend on ${python3:Depends} and build-depend on
      python3:any and dh-python
    + d/rules: Give option --with=python3 to the dh sequencer, so that
      dh_python3 is called
  * d/s/lintian-overrides: Drop obsolete Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Tue, 19 Oct 2021 04:01:17 -0300

praat (6.1.53-1) unstable; urgency=medium

  * New upstream version 6.1.53

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 Sep 2021 13:47:39 -0300

praat (6.1.52-1) unstable; urgency=medium

  * New upstream version 6.1.52
  * d/p/read-vorbis-file-32-bit.patch: Drop patch (applied upstream)
  * d/t/control: Drop obsolete dependencies on xvfb and xauth
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 31 Aug 2021 16:00:36 -0300

praat (6.1.51-3) unstable; urgency=medium

  * Read Vorbis file in unit test
    + d/p/disable-read-vorbis-file.patch: Drop patch
    + d/p/read-vorbis-file-32-bit.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 18 Aug 2021 11:03:57 -0300

praat (6.1.51-2) unstable; urgency=medium

  * Upload to unstable (really, closes: #984296)
  * d/p/disable-read-vorbis-file.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 18:11:11 -0300

praat (6.1.51-1) experimental; urgency=medium

  * New upstream version 6.1.51

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jul 2021 09:51:35 -0300

praat (6.1.50-1) experimental; urgency=medium

  * New upstream version 6.1.50
  * d/p/fix-test-mds.patch: Drop patch (applied updstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jul 2021 06:51:43 -0300

praat (6.1.49-1) experimental; urgency=medium

  * New upstream version 6.1.49
  * d/p/std-limits-g++-11.patch: Drop patch (applied upstream)
  * d/p/fix-test-mds.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Jun 2021 15:22:24 -0300

praat (6.1.47-2) experimental; urgency=medium

  [ Steffen Möller ]
  * Update metadata - added registry entries

 -- Rafael Laboissière <rafael@debian.org>  Thu, 27 May 2021 02:56:06 -0300

praat (6.1.47-1) experimental; urgency=medium

  * New upstream version 6.1.47
  * d/p/disable-test-sound-voiceactivity.patch: Drop patch (applied upstream)
  * d/p/dwtest-random-seed.patch: New patch
  * Use praat_nogui, instead of praat, for exercising the unit tests

 -- Rafael Laboissière <rafael@debian.org>  Wed, 26 May 2021 15:26:36 -0300

praat (6.1.42-1) experimental; urgency=medium

  * New upstream version 6.1.42
  * d/p/disable-test-sound-voiceactivity.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 04 May 2021 09:31:34 -0300

praat (6.1.40-1) experimental; urgency=medium

  * New upstream version 6.1.40
  * d/copyright: Reflect upstream changes
  * Refresh patches for new upstream version:
    + d/p/use-ldflags.patch
    + d/p/cross-build.patch
  * d/p/std-limits-g++-11.patch: New patch (Closes: #984296)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Mar 2021 05:24:47 -0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-python,
                libasound2-dev,
                libgtk-3-dev,
                libjack-jackd2-dev,
                libpulse-dev,
+               pandoc,
+               python3:any,
                xauth,
-               xvfb,
-               pandoc
-Standards-Version: 4.5.1
+               xvfb
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org
@@ -23,7 +25,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          oss-compat,
-         python3
+         ${python3:Depends}
+Suggests: libasound2-plugins
 Description: program for speech analysis and synthesis
  According to its authors, praat is "doing phonetics by computer".  Through
  its graphical interface, several speech analysis functionalities are

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with=python3
 
 get-upstream-changelog:
 	# Get upstream changelog (in HTML format) and replace some characters
@@ -83,6 +83,6 @@
 ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PRAAT=$(CURDIR)/praat debian/tests/run-tests
+	PRAAT=$(CURDIR)/praat_nogui debian/tests/run-tests
 endif
 endif

=== debian/watch ===
version=4
https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## praat 6.2.16

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 27 January 2022
+# 6 June 2022
 
 include ../makefile.defs
 
-CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile
+CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../foned -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile
 
 OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
 	Categories.o CategoriesEditor.o \
@@ -48,14 +48,15 @@
 	Sound_and_TextGrid_extensions.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
 	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
-	Spectrogram_extensions.o Spectrum_extensions.o Spectrum_and_MultiSampledSpectrogram.o \
+	Spectrogram_extensions.o Spectrum_extensions.o \
+	Spectrum_and_AnalyticSound.o Spectrum_and_MultiSampledSpectrogram.o \
 	SSCP.o Strings_extensions.o \
 	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
 	Table_and_Strings.o Table_extensions.o TableOfReal_and_SVD.o \
 	TableOfReal_extensions.o \
 	TableOfReal_and_Discriminant.o TableOfReal_and_Permutation.o \
 	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
-	TextGridTierNavigator.o TextGridNavigator.o TextGridView.o VowelEditor.o \
+	TextGridTierNavigator.o TextGridNavigator.o Vector_extensions.o VowelEditor.o \
 	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
 	praat_KlattGrid_init.o praat_MultiSampledSpectrogram.o praat_DataModeler_init.o praat_David_init.o
 
@@ -73,5 +74,5 @@
 	$(AR) cq libdwtools.a $(OBJECTS)
 	$(RANLIB) libdwtools.a
 
-$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h
+$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../foned/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== debian/changelog ===
praat (6.2.16-2) unstable; urgency=medium

  * d/p/honor-cppflags.patch: Honor CPPFLAGS in foned/Makefile

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Aug 2022 09:53:56 -0300

praat (6.2.16-1) unstable; urgency=medium

  * New upstream version 6.2.16
  * Patches refreshed for new upstream version
    + d/p/use-ldflags.patch
    + d/p/honor-cppflags.patch
  * d/rules: Delete foned/FunctionEditor.o before building praat_nogui
  * d/NEWS: Drop asterisks in news entries
  * Clarify the status of file generate/Unicode/gen-unicode-ctype.c.html
    + d/copyright: Add stanza for the this file and indicate its origin
    + d/s/lintian-overrides: Override Lintian warning source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Mon, 22 Aug 2022 04:06:37 -0300

praat (6.2.14-1) unstable; urgency=medium

  * New upstream version 6.2.14

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 May 2022 09:17:48 -0300

praat (6.2.13-1) unstable; urgency=medium

  * New upstream version 6.2.13
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused override
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop sendpraat
    + d/NEWS: Add note about the removal of the sendpraat command
    + d/clean: Dot not remove sendpraat and sendpraat.1
    + d/install.in: Do not install sendpraat
    + d/praat.manpages: Drop manpage sendpraat.1
    + d/rules: Drop rules for building sendpraat and sendpraat.1
    + d/sendpraat.md: Drop file
  * Deprecate praat-open-files
    + d/NEWS: Add not about deprecation of praat-open-files
    + d/praat-open-files: Use of "praat --open" instead of sendpraat
    + d/praat-open-files.md: Adjust for the changes above
  * Add new desktop file for openning audio files
    + d/praat-file.desktop: New desktop file
    + d/praat-file.svg: New icon file
    + d/install.in: Install the above files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 May 2022 07:27:36 -0300

praat (6.2.12-1) unstable; urgency=medium

  * New upstream version 6.2.12

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Apr 2022 05:46:13 -0300

praat (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * d/s/lintian-overrides: Add override for package-does-not-install-examples

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Apr 2022 03:28:57 -0300

praat (6.2.10-1) unstable; urgency=medium

  * New upstream version 6.2.10

 -- Rafael Laboissière <rafael@debian.org>  Tue, 29 Mar 2022 11:45:14 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3:any,
                xauth,
                xvfb
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: https://www.praat.org
